Last Comment Bug 657554 - mochitest error output: test_bug519928.html, line 115: endTest is not defined
: mochitest error output: test_bug519928.html, line 115: endTest is not defined
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Daniel Holbert [:dholbert]
:
: Makoto Kato [:m_kato]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 579303
  Show dependency treegraph
 
Reported: 2011-05-17 00:04 PDT by Daniel Holbert [:dholbert]
Modified: 2011-05-20 07:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix: delete line (940 bytes, patch)
2011-05-17 00:07 PDT, Daniel Holbert [:dholbert]
ehsan: review+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2011-05-17 00:04:45 PDT
Noticed this in mochitest output:
> JavaScript error: http://mochi.test:8888/tests/editor/composer/test/test_bug519928.html, line 115: endTest is not defined

Indeed, test_bug519928.html calls "endTest()" which is never defined.

This happens right after a call to SimpleTest.finish(), so I think we're fine to just finish with that and drop the "endTest()" call.
Comment 1 Daniel Holbert [:dholbert] 2011-05-17 00:07:24 PDT
Created attachment 532880 [details] [diff] [review]
fix: delete line
Comment 2 :Ehsan Akhgari 2011-05-17 08:24:33 PDT
Comment on attachment 532880 [details] [diff] [review]
fix: delete line

Oh, I should have caught this when reviewing bug 579303.  :/  Thanks for finding and fixing this.
Comment 3 Daniel Holbert [:dholbert] 2011-05-19 17:56:19 PDT
http://hg.mozilla.org/projects/cedar/rev/1d5ffdf05dab
Comment 4 Mounir Lamouri (:mounir) 2011-05-20 07:03:14 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/1d5ffdf05dab

Note You need to log in before you can comment on or make changes to this bug.